[Overview][Constants][Procedures and functions][Index] | Reference for unit 'dateutils' (#rtl)

# SecondOfTheMinute

Calculate the number of seconds elapsed since the start of the minute

## Declaration

Source position: dateutil.inc line 229

`function SecondOfTheMinute(`
`const AValue: TDateTime`
`):Word;`

## Arguments

`AValue` |  | Moment in the minute

## Function result

Number of seconds elapsed since the start of the minute

## Description

SecondOfTheMinute returns the number of seconds that have passed since the start of the minute (HH:MM:00) till the moment indicated by AValue. This is a zero-based number, i.e. HH:MM:00.999 return 0.

## See also

SecondOfTheYear |  | Calculate the number of seconds elapsed since the start of the year.
SecondOfTheMonth |  | Calculate number of seconds elapsed since the start of the month.
SecondOfTheWeek |  | Calculate the number of seconds elapsed since the start of the week
SecondOfTheDay |  | Calculate the number of seconds elapsed since the start of the day
SecondOfTheHour |  | Calculate the number of seconds elapsed since the start of the hour
MilliSecondOfTheMinute |  | Calculate the number of milliseconds elapsed since the start of the minute

## Example

    Program Example45;

    { This program demonstrates the SecondOfTheMinute function }

    Uses SysUtils,DateUtils;

    Var
      N : TDateTime;

    Begin
      N:=Now;
      Writeln('Second of the Minute      : ',SecondOfTheMinute(N));
      Writeln('MilliSecond of the Minute : ',
              MilliSecondOfTheMinute(N));
    End.

Documentation generated on: Feb 26 2014